{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":572,"path":"api-reference/rest-apis/wsd_extra_serv_req-api.md","title":"WSD Extra Service Request API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Extra Service Request API\n\nThe Workplace Service Delivery \\(WSD\\) Extra Service Request API provides endpoints to manage extra service requests for reservations.\n\nTo access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role.\n\nThis API runs in the `sn_wsd_rsv` namespace.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Extra Service - GET /sn\\_wsd\\_rsv/extra\\_service/list\\_loc\\_layouts\n\nReturns the details about the associated location layouts for a specified workplace location.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/extra_service/list_loc_layouts`\n\nDefault URL: `/api/sn_wsd_rsv/extra_service/list_loc_layouts`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nlocation\n\n</td><td id=\"location-reserv-entry\">\n\nRequired. Sys\\_id of the workplace location for which to return the location layout details.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None|Required.|\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList of the layouts associated with the specified workplace location.Data type: Array of Objects\n\n ```\n\"result\": [\n  {\n    \"capacity\": Number,\n    \"cleanup_duration\": \"String\",\n    \"image\": {Object},\n    \"is_default\": Boolean,\n    \"max_capacity\": Number,\n    \"name\": \"String\",\n    \"preparation_duration\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.capacity\n\n</td><td>\n\nNumber of people that will attend the meeting.Data type: Number\n\n</td></tr><tr><td>\n\nresult.cleanup\\_duration\n\n</td><td>\n\nAmount of time it takes to clean the reservable for this layout.Data type: Number\n\nUnit: Milliseconds\n\n</td></tr><tr><td>\n\nresult.image\n\n</td><td>\n\nDetails about an image that represents the layout for the associated reservable.Data type: Object\n\n```\n\"image\": {\n  \"link\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.image.link\n\n</td><td>\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.image.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated image record.Data type: String\n\n</td></tr><tr><td>\n\nresult.is\\_default\n\n</td><td>\n\nFlag that indicates whether the associated layout is the default for the reservable. Valid values:\n\n-   true: Default.\n-   false: Not default.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the location layout. Data type: String\n\n</td></tr><tr><td>\n\nresult.max\\_capacity\n\n</td><td>\n\nMaximum number of people that the layout associated with the reservable can accommodate.Data type: Number\n\n</td></tr><tr><td>\n\nresult.preparation\\_duration\n\n</td><td>\n\nAmount of time it takes to prepare the associated location layout.Data type: Number\n\nUnit: Milliseconds\n\n</td></tr><tr><td>\n\nresult.short\\_description\n\n</td><td>\n\nBrief description of the location layout.Data type: String\n\n</td></tr><tr><td>\n\nresult.sys\\_id\n\n</td><td>\n\nSys\\_id of the location layout.Data type: String\n\nTable: Layout \\[sn\\_wsd\\_rsv\\_layout\\]\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint.\n\n```\n\"http://instance.servicenow.com/api/sn_wsd_rsv/extra_service/list_loc_layouts&location=d2716d4adb7210106c731dcd13961994\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nReturn results:\n\n```\n{\n  \"result\": [\n    {\n      \"sys_id\": \"f4fee556534301103cf7ddeeff7b12ed\",\n      \"name\": \"Test\",\n      \"short_description\": \"test\",\n      \"is_default\": false,\n      \"image\": {\n        \"sys_id\": \"9648a7c5531301103cf7ddeeff7b1286\",\n        \"link\": \"9648a7c5531301103cf7ddeeff7b1286.iix\"\n      },\n      \"capacity\": null,\n      \"max_capacity\": null,\n      \"preparation_duration\": 172800000,\n      \"cleanup_duration\": 86400000\n    }\n  ]\n}\n```\n\n## WSD Extra Service - GET /api/sn\\_wsd\\_rsv/extra\\_service/list\\_loc\\_standard\\_services\n\nReturns the details about the associated standard services for a specified workplace location.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/extra_service/list_loc_standard_services`\n\nDefault URL: `/api/sn_wsd_rsv/extra_service/list_loc_standard_services`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nlocation\n\n</td><td>\n\nRequired. Sys\\_id of the workplace location for which to return the location layout standard services.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult.standard\\_services\n\n</td><td>\n\nAssociated standard services, such as flip chart, projector screen, and whiteboard and markers.\n\nData type: Array of Objects\n\n```\n\"standard_services\": [\n  {\n    \"font_awesome_icon\": \"String\",\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.standard\\_services.font\\_awesome\\_icon\n\n</td><td id=\"std_serv_font-awesome_icon-reserv-entry\">\n\nName of the thumbnail icon associated with the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services.name\n\n</td><td id=\"std_serv_name-reserv-entry\">\n\nName of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services.short\\_description\n\n</td><td id=\"std_serv_short_description-reserv-entry\">\n\nBrief description of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services.sys\\_id\n\n</td><td id=\"std_serv_sys_id-reserv-entry\">\n\nSys\\_id of the standard service record.Data type: String\n\nTable: Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\]\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint to obtain the standard services.\n\n```\n\"http://instance.servicenow.com/api/sn_wsd_rsv/extra_service/list_loc_standard_services&location=d2716d4adb7210106c731dcd13961994\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nReturn results:\n\n```\n{\n  \"result\": [\n    {\n      \"sys_id\": \"9b01458edb7650106c731dcd13961945\",\n      \"name\": \"Flip chart\",\n      \"short_description\": \"Flip chart with paper sheets\",\n      \"font_awesome_icon\": \"fa-calendar-o\"\n    },\n    {\n      \"sys_id\": \"abd0c18edb7650106c731dcd13961965\",\n      \"name\": \"Projector screen\",\n      \"short_description\": \"Connect laptop to screen (HDMI and DVI)\",\n      \"font_awesome_icon\": \"fa-caret-square-o-right\"\n    },\n    {\n      \"sys_id\": \"9841858edb7650106c731dcd1396193c\",\n      \"name\": \"Whiteboard\",\n      \"short_description\": \"Whiteboard and markers\",\n      \"font_awesome_icon\": \"fa-pencil-square-o\"\n    }\n  ]\n}\n```\n\n"}}